Bug 189039 - Review Request: perl-Module-Pluggable
Review Request: perl-Module-Pluggable
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-04-14 19:41 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-19 10:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 19:41:48 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Pluggable/perl-Module-Pluggable.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Pluggable-2.97-1.src.rpm
Provides a simple but, hopefully, extensible way of having 'plugins' for
your module.
Comment 1 Jason Tibbitts 2006-04-14 23:24:42 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   f118696802530ecb4fdaf91f9b904136  Module-Pluggable-2.97.tar.gz
   f118696802530ecb4fdaf91f9b904136  Module-Pluggable-2.97.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 2 Steven Pritchard 2006-04-19 10:49:53 EDT
Imported into CVS and packages built.

Note You need to log in before you can comment on or make changes to this bug.